// testServerDlg.h : header file
//

#if !defined(AFX_testServerDLG_H__680F87C8_1153_446F_9390_A2688C754658__INCLUDED_)
#define AFX_testServerDLG_H__680F87C8_1153_446F_9390_A2688C754658__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include <winsock.h>
#include <sys/types.h>
#include <errno.h>
#pragma comment(lib, "ws2_32.lib")


/////////////////////////////////////////////////////////////////////////////
// CtestServerDlg dialog

class CtestServerDlg : public CDialog
{
// Construction
public:
	CtestServerDlg(CWnd* pParent = NULL);	// standard constructor
	~CtestServerDlg();

// Dialog Data
	//{{AFX_DATA(CtestServerDlg)
	enum { IDD = IDD_testServer_DIALOG };
	CEdit	m_log;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CtestServerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CtestServerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRunServer();
	afx_msg void OnStopServer();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	SOCKET m_sockListen;
	SOCKET m_sockAccept;
	FILE *m_fp;
	BOOL m_isStop, m_isStopped;
	HANDLE m_hThreadServer;
	char m_szLog[256];

	void Log(const char *fmt, ...);
	bool createListenSocket();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_testServerDLG_H__680F87C8_1153_446F_9390_A2688C754658__INCLUDED_)
